#ifndef			_STRING_ENGINE_
#define			_STRING_ENGINE_

#include		<windows.h>

class			clString
{
	
private:

	char		* chData;

public:

	int			intLength;
	
				clString	( void ): chData( new char() ), intLength( 0 ) { chData[ 0 ] = 0x00; };
				clString	( const clString & str );
				clString	( const char * chData );
	~			clString	( void ) { delete [] this->chData; };

	clString&	operator =	( const clString & str );
	clString&	operator +=	( const clString & str );
	
	clString	operator +	( const clString & str );
	clString	operator +	( const char * ch );
	
	bool		operator ==	( const clString & str );
	bool		operator == ( const char * ch );
	bool		operator != ( const clString & str );
	bool		operator != ( const char * ch );
	
				operator char * () { return this->chData; }
	char *		operator () ( void ) { return this->chData; }

	void		Add				( const char * ch, const int intStart );
	void		CutEnd			( const int intLength );
	void		Cut				( const int intStart, const int intLength );

	void		funcSwap		( const char chFind, const char * chRepl );
	int			StripTags		( void );
				
	void		ToUpper			( void );
	void		ToLower			( void );

	int			Find			( const char * ch );
	int			Find			( const char * ch, int intStart );

				operator int	()	{ return atoi( this->chData ); }
				operator long	()	{ return atol( this->chData ); }
				operator float	()	{ return atof( this->chData ); }
		
private:
	
};

#endif			// _STRING_ENGINE_